// creator  : weidu.exe (version 23100)
// argument : WILLIA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~WILLIA~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 7 even though they appear after this state */
~IsValidForPartyDialog("Keldorn")
Global("williakeldorn","LOCALS",0)~ THEN BEGIN 0 // from:
  SAY #9799 /* ~M'lord Keldorn... I was hoping you would come.~ */
  IF ~~ THEN DO ~SetGlobal("williakeldorn","LOCALS",1)~ EXTERN ~KELDORJ~ 31
END

IF ~~ THEN BEGIN 1 // from:
  SAY #9801 /* ~I was a husband to your wife and a father to your children, if that is what you mean.~ */
  IF ~~ THEN EXTERN ~KELDORJ~ 32
END

IF ~~ THEN BEGIN 2 // from:
  SAY #9803 /* ~They yearn for a father -- any father... even an imposter off the street in your stead!  Be to them in your compassion what you are to them in blood, Keldorn.~ */
  IF ~~ THEN EXTERN ~KELDORJ~ 33
END

IF ~~ THEN BEGIN 3 // from:
  SAY #9827 /* ~Hmph! Unlikely -- I have been a spent wick for many years.  We sought some beauty in the midst of all her pain. I wish I could say you would have done the same.~ */
  IF ~~ THEN EXTERN ~KELDORJ~ 34
END

IF ~~ THEN BEGIN 4 // from:
  SAY #9832 /* ~Lady Maria loves you deeply, but without expression love withers and dies. I was but a single drop of moisture, you are the oasis for which she searches. Love her, and I will be but wind-borne dust.~ */
  IF ~~ THEN EXTERN ~KELDORJ~ 35
END

IF ~~ THEN BEGIN 5 // from:
  SAY #9864 /* ~I am not fool enough to ask for that, m'lord. I'd much rather think that someday you will thank me.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXTERN ~KELDORJ~ 36
END

IF WEIGHT #2 /* Triggers after states #: 7 even though they appear after this state */
~!IsValidForPartyDialog("Keldorn")
Global("williakeldorn","LOCALS",0)~ THEN BEGIN 6 // from:
  SAY #37829 /* ~Greetings to you, my <LADYLORD>.  I am afraid that I am waiting for another at the moment... perhaps some other time?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~InParty("Keldorn")
!See("Keldorn")~ THEN BEGIN 7 // from:
  SAY #37979 /* ~My dear <GIRLBOY>, I don't know you from Drizzt. Leave me be.~ */
  IF ~~ THEN EXIT
END
